using Models;

namespace LocalEndpoint
{
    internal class Constants
    {

        public static readonly Uri DEFAULT_ACCOUNT_IMAGE = new Uri("https://www.pngkey.com/png/full/115-1150152_default-profile-picture-avatar-png-green.png");

        // User account for tests
        public static readonly Account MAIN_USER_ACCOUNT = new Account(new User(DEFAULT_ACCOUNT_IMAGE, "Example Account"), "test@example.com");
        public static readonly string  MAIN_USER_PASSWORD = "123456";

        // other user samples
        public static readonly User USER1 = new User(new Uri("https://i.ibb.co/L6t6bGR/DALL-E-2023-05-10-20-27-31-cook-looking-at-the-camera-with-a-chef-s-hat-laughing-in-an-exaggerated-w.png"), "The Funny Chief");
        public static readonly User USER2 = new User(DEFAULT_ACCOUNT_IMAGE, "Yanis");
        public static readonly User USER3 = new User(DEFAULT_ACCOUNT_IMAGE, "Leo");

    }
}
